LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDebugging Interface Referencepublished

makes it possible to set breakpoints in an interpreter. More...

`import"XDebugging.idl";`

Inheritance diagram for XDebugging:

## Public Member Functions
long | setBreakPoint ([in] string aModuleName, [in] long nSourceCodeLine, [in] boolean bOn)
| returns the source code line where the breakpoint was set. More...
void | clearAllBreakPoints ([in] string aModuleName)
| clears all breakpoints in the module set by "setBreakPoint". More...
string | eval ([in] string aSourceCode, [in] short nCallStackPos)
| Evaluates an expression. More...
sequence< string > | getStackTrace ()
| Returns the engine's stack trace of the current execute position. More...
com::sun::star::script::ContextInformation | getContextInformation ([in] short nCallStackPos)
| returns more detailed information about a specified stack frame. More...
string | dumpVariable ([in] string aVariableName, [in] short nCallStackPos)
| returns the value of the variable at the given stack position. More...
void | setVariable ([in] string aVariableName, [in] string aValue, [in] short nCallStackPos)
| sets the value of the specified variable within the specified stack frame. More...
boolean | isVariable ([in] string aVariableName, [in] short nCallStackPos)
| returns whether the given variable exists within the specified stack frame. More...
void | stop ()
| stops the execution of the interpreter. More...
void | stepOver ()
| executes the next and only the next statement. More...
void | stepIn ()
| executes the next and only the next statement. More...
void | stepOut ()
| executes the program until the next return from this stack frame. More...
void | doContinue ()
| continues the program execution. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to set breakpoints in an interpreter.

Deprecated:

## Member Function Documentation

## ◆ clearAllBreakPoints()

void clearAllBreakPoints | ( | [in] string | aModuleName | ) |

clears all breakpoints in the module set by "setBreakPoint".

## ◆ doContinue()

void doContinue | ( |  | ) |

continues the program execution.

## ◆ dumpVariable()

string dumpVariable | ( | [in] string | aVariableName,
|  | [in] short | nCallStackPos
| ) |  |

returns the value of the variable at the given stack position.

## ◆ eval()

string eval | ( | [in] string | aSourceCode,
|  | [in] short | nCallStackPos
| ) |  |

Evaluates an expression.

Parameters

  aSourceCode | the expression to be evaluated.
  nCallStackPos | Position in the call stack for which the expression should be evaluated. 0 is the top/actual position in the call in the call stack, 1 the next and so on.

Returns
  the value of the expression as string.

## ◆ getContextInformation()

com::sun::star::script::ContextInformation getContextInformation | ( | [in] short | nCallStackPos | ) |

returns more detailed information about a specified stack frame.

Parameters

  nCallStackPos | specifies the position in the call stack for the variables that should be delivered.

## ◆ getStackTrace()

sequence< string > getStackTrace | ( |  | ) |

Returns the engine's stack trace of the current execute position.

Line break is the delimiter.

## ◆ isVariable()

boolean isVariable | ( | [in] string | aVariableName,
|  | [in] short | nCallStackPos
| ) |  |

returns whether the given variable exists within the specified stack frame.

## ◆ setBreakPoint()

long setBreakPoint | ( | [in] string | aModuleName,
|  | [in] long | nSourceCodeLine,
|  | [in] boolean | bOn
| ) |  |

returns the source code line where the breakpoint was set.

        <p>The value can differ from the parameter
        <var>nSourceCodeLine</var> when this is not a valid line to
        place it.  -1 indicates that the breakpoint cannot be set at
        this position.

## ◆ setVariable()

void setVariable | ( | [in] string | aVariableName,
|  | [in] string | aValue,
|  | [in] short | nCallStackPos
| ) |  |

sets the value of the specified variable within the specified stack frame.

## ◆ stepIn()

void stepIn | ( |  | ) |

executes the next and only the next statement.

If the next statement is a function call, only the function entered.

## ◆ stepOut()

void stepOut | ( |  | ) |

executes the program until the next return from this stack frame.

## ◆ stepOver()

void stepOver | ( |  | ) |

executes the next and only the next statement.

If the next statement is a function call, the function is executed completely.

## ◆ stop()

void stop | ( |  | ) |

stops the execution of the interpreter.

To continue with the execution, call XDebugging::doContinue().

The documentation for this interface was generated from the following file:

- com/sun/star/script/XDebugging.idl